Discoverer Cumulative Patchsets Now Certified for Apps 11i & 12

If you're using Oracle Discoverer to analyze your E-Business Suite data, you know that we have always taken a very selective approach to the certification of Discoverer patches.  Our historical strategy has been to specify the smallest number of essential patches needed to use Discoverer with the E-Business Suite. With the introduction of Cumulative Patchsets for Discoverer, things have changed in an important way.

Discoverer 10g Architecture:

What Are Discoverer Cumulative Patchsets?

Release vehicles for Discoverer bug fixes have evolved.  The latest iteration is the introduction of Cumulative Patchsets for Discoverer 10g.  As you might infer from their name, Cumulative Patchsets include the latest versions of all patches produced since the last major Discoverer release.  In other words, they include:
  • Patches contained in prior Cumulative Patchsets 
  • Latest versions of essential patches needed for compatibility with the E-Business Suite
How Are Discoverer Cumulative Patchsets Different?

The key difference boils down to the quality assurance stage.  One-time emergency patches for Discoverer are tested only to ensure that they fix a specific problem.  Very limited testing (if any) is performed to ensure that a given emergency patch doesn't introduce other issues in other areas.  Virtually no testing is done to check whether a given emergency patch conflicts with other emergency patches.

Discoverer Cumulative Patchsets receive more systematic testing across the board to ensure compatibility with other emergency patches.  All of the released emergency patches are tested together as part of the release process for Cumulative Patchsets. 

What About Compatibility with the E-Business Suite?

As of today, E-Business Suite + Discoverer users have two certified options:
  1. Apply only the specific emergency patches needed for integrating Discoverer 10g in your E-Business Suite environments
  2. Apply the latest Discoverer 10g Cumulative Patchset. 
This new certification policy applies to both E-Business Suite Release 11i and 12 environments.  You can apply Discoverer 10g Cumulative Patchset 3 or higher to your Apps environments. 

The key phrase is, "or higher."  My E-Business Suite certification team will continue to certify selected Discoverer 10g Cumulative Patchsets, but you will no longer have to wait for our certification to be completed before applying a patchset that includes a fix for a bug that you're encountering.  The use of any Discoverer 10g Cumulative Patchset from 3 onwards is now fully supported with your E-Business Suite environment.

References
Related Articles

Comments:

Hi Steven, Just wanted to let you know that we recently applied Discoverer CP 5 patch 6472361 and it corrected the problem I reported to you earlier where SSO users were getting a password expired message even when their SSO password was not expired. However CP5 introduced a new problem where users get errors when opening or changing parameters on certain workbooks. See SR# 6699099.993 and bug 6789786. This issue is causing serious problems for our users because they are unable to use certain workbooks required for tax reporting and month-end analysis. My escalation request was recently approved so I hope to obtain a quick fix.

Thanks, Dawna.

Posted by Dawna Roberts on February 06, 2008 at 05:40 AM PST #

Hi, Dawna,Thanks for the heads-up.  I've escalated this issue with the Discoverer team.  The bug itself is now escalated due to your month-end and fiscal reporting implications.  You will see an update in your SR as soon as possible.Regards,Steven

Posted by Steven Chan on February 06, 2008 at 08:40 AM PST #

Hi Steven
How to implement Multi Org Access Control in discoverer running against R12 instance.
I have a responsibility that has a security profile to which 5 operating units are attached, but data is fetched for only one org (for MO: Operating Unit)
Thanks
Arivazhagan

Posted by Arivazhagan on April 28, 2008 at 06:31 PM PDT #

Hi, Arivazhagan,I'm afraid that this one falls outside of my area of expertise.  Your best bet might be to log a formal Service Request against Discoverer 10g to get assistance from one of our Discoverer specialists on this.Best of luck with this one.Regards,Steven

Posted by Steven Chan on April 29, 2008 at 01:38 AM PDT #

Does this imply that the new Discoverer 10.1.2.3 is certified as a cumulative patch? or is it a new version?

Posted by mike on May 20, 2008 at 10:17 AM PDT #

Mike,No, I'm afraid not.  A Cumulative Patchset isn't the same as an actual Discoverer release.  A specific Discoverer release (e.g. Discoverer 10.1.2.2) has a series of Cumulative Patchsets (e.g. Discoverer 10.1.2.2 Cumulative Patchset 1, Discoverer 10.1.2.2 Cumulative Patchset 2, etc).We've got a certification of Discoverer 10.1.2.3 in the wings for both Oracle E-Business Suite Release 12 and 11i, but neither of those certification projects have started.  I don't have firm schedules for them yet, but you're welcome to monitor or subscribe to this blog for updates, which I'll post as soon as soon as they're available.  Regards,Steven

Posted by Steven Chan on May 21, 2008 at 09:03 AM PDT #

Hi, Steven.

Thank you for writing this article. It was most helpful.

I looked at the Certify website, but could not find any information about which Discoverer cumulative patchsets have been certified with E-Business Suite.

I tried starting with EBS, but can only drill down to major Discoverer releases (10.1.2.0.2 and 10.1.2.2).

In MetaLink note 373634.1, it says that one of the install possibilities is:

Oracle Business Intelligence Server 10g Release 2 (10.1.2.0.2)

But I can't find that product anywhere in the Certify website.

Where should I look, on the certify website, to find information about which Discoverer cumulative patchsets have been certified with EBS?

Thanks for your help.

Jeff Kayser

Posted by Jeff Kayser on September 11, 2008 at 06:11 AM PDT #

Hi, Jeff,

Glad to hear that you've found this article useful.

As you've found, our EBS + Discoverer 10g documentation also only reflects the major release certified (e.g. Discoverer 10.1.2.0.2).

In addition, the Certify database doesn't capture details about E-Business Suite + Discoverer Cumulative Patchset certifications.

This is why I wrote this article about these patchsets, although as Discoverer releases keep coming, this information becomes progressively more dated.

As of today, as an EBS user, you can use:

- Discoverer 10.1.2.0.2 with Cumulative Patchset 3 or higher
- Discoverer 10.1.2.2 with any Cumulative Patchset for that release

We're in the final stages of our Discoverer 10.1.2.3 certification now. I'll post details about that certification (as well as the Cumulative Patchset that we've tested) soon. You're welcome to monitor or subscribe to this blog for updates, which I'll post as soon as soon as they're available.

Regards,
Steven

Posted by Steven Chan on September 11, 2008 at 08:22 AM PDT #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Search

Categories
Archives
« April 2014
SunMonTueWedThuFriSat
  
1
4
5
6
7
8
9
10
11
12
13
14
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today